package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.City;
import com.realnet.basicp1.Services.CityService ;








@RequestMapping(value = "/City")
 @CrossOrigin("*") 
@RestController
public class CityController {
	@Autowired
	private CityService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/City")
		  public City Savedata(@RequestBody City data) {
		City save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/City/{id}")
	public  City update(@RequestBody City data,@PathVariable Integer id ) {
		City update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/City/getall/page")
	public Page<City> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<City> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/City")
	public List<City> getdetails() {
		 List<City> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/City")
	public List<City> getallwioutsec() {
		 List<City> get = Service.getdetails();		
		return get;
}
@GetMapping("/City/{id}")
	public  City  getdetailsbyId(@PathVariable Integer id ) {
		City  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/City/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}